<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_pw.inc.php');
include_once('../inc/fic_zc.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/lst.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
$_SESSION['typ_filtres'] = 'villes';

$afflst = FALSE;
if (isset($_GET['search']) AND (strlen(trim($_GET['search'])) >= 4)) {
    $afflst = TRUE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Liste Villes'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            init_autohref_classe('falselnkimg', '');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>

<?php
include_once('../inc/entete.inc.php');
cre_ent_form(_('LISTE DES VILLES'), '', '', '', FALSE);
$url_add = 'villes_maj.php?td=add&code=';
$lst_villes = TRUE;

if ($afflst == TRUE) {
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

    $rech = cree_strrechlstvil();
    $rech .= crestr_triord($villes_titre_col, 'villes_nom', FALSE, $limit);

    $rows = $db->get_results($rech, ARRAY_A);
    close_database();

    if ($rows) {
        $numrows = count($rows);
        include_once('../inc/formr.inc.php');

        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

        $rech = modstr_triord($rech, $villes_titre_col, 'villes_nom', TRUE, $limit);

        $rows = $db->get_results($rech, ARRAY_A);

        // *** Pagination de pied
        pagine_lst($numrows, $limit);

        // *** Affichage de la table
        echo '<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">';

        // création entête
        titlst($villes_titre_col);
        echo '<th>' . _('Cliquer') . '</th>';

        $i = 0;

        foreach ($rows as $row) {
            $row = encode_str($row);
            // création de l'entête de ligne (TR)
            echo '<tr>';

            echo '<td>';
            echo str_majuscules($row['villes_nom']);
            echo '</td>';
            echo '<td>';
            echo $row['villes_cp'];
            echo '</td>';
            echo '<td>';
            echo Retournedep($row['villes_dep'], $row['villes_codepays'], FALSE);
            echo '</td>';
            echo '<td>' . Retournepays($row['villes_codepays'], FALSE, $row['villes_lng']) . '</td>';
            echo '<td align="center">' . $tab_lngdisp[strtolower($row['villes_lng'])] . '</td>';

            // CREATION lien dynamique sur icône (édition, suppression, etc...)
            echo '<td align="center">';
            $lst_maj = TRUE;
            cre_falselnk_img('', 'villes_edit_' . $row['ville_id'], 'span', 'center', _('Edition'), 'lnk', 'villes_maj.php?td=edit&nvil=' . $row['villes_id'], '../img/edit.png');
            $lst_del = TRUE;
            cre_falselnk_img('', 'villes_del_' . $row['ville_id'], 'span', 'center', _('Suppression'), 'lnk', 'villes_maj.php?td=del&nvil=' . $row['villes_id'], '../img/del.png');
            echo '</td>';

            echo '</tr>';

            $i++;
        }
        echo '</table>';
        // *** Fin affichage de la table

        close_database();

        // *** Pagination de pied
        pagine_lst($numrows, $limit);

        $taille_piedla = '';
        include_once('../inc/piedla.inc.php');
    } else {
        retpp();
    }
} else {
    include_once('../inc/formr.inc.php');
}

include_once('pied.php');
?>
